<?

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_host.inc,v 1.110 2004/04/22 23:15:10 philips Exp $
 $Source: /tmp/maintain/templates/show_host.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Host Template
	The verbose host view (with device, ip, etc information)

*/

$user->view = false;

// if there is a zone defined.... (for those who just search)
if ($host->zone->domains()) { $domains  = $host->zone->domains();  }

// Get the object_history information
$history = $host->object_history->get_history();

//if flo is enabled let's create a flo object
if ($conf['modules']->modules['flo']->enabled) {
	$flo = new Flo(0);
} 

?>

<? if ($action_type) { ?>
<? 
if ($user->has_access($host->zone->id)) {
	$items = array();
	$items[] = "<a href=\"". $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->id . "\">Edit</a>";
	$items[] = "<a href=\"". $conf['web_path'] . "/host.php?action=Delete&amp;host_id=" . $host->id . "\">Delete</a>";
	if ($host->get_next_host_by_name() > 0) { 
		$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->get_next_host_by_name() . "\"> Edit next by name</a>";
	} // if get host by name
	if ($host_ip_id = $host->get_next_host_by_ip()) { 
		$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->get_next_host_by_ip() . "\"> Edit next by IP</a>";
	} // if host by name
	$items[] = "<a href=\"". $conf['web_path'] . "/create_host.php\">Create New Host</a>";
} // if user has access
$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_hosts\">Show " . $conf['zone']->name . " Hosts</a>";
$conf['ui']->display_top_widget($items);

?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" <? if (!$host->enabled) { echo "class=\"disabled\" "; } ?>>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td class="header2" colspan="2">
		<? 
		if ($action_type == "read") { echo "Viewing host information for $host->hostname"; }
		else { echo "Updated $host->hostname with the following information"; }
		?>
		</td>
	</tr>
	<tr class="widget-title">
		<td colspan="2">Basic Host Information 
		<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;action_type=read&amp;host_id=<?= $host->id; ?>&amp;host_view=advanced">[Advanced]</a>
		<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;action_type=read&amp;host_id=<?= $host->id; ?>&amp;host_view=basic">[Basic]</a>
		</td>
	</tr>
	<? if (!$host->enabled || $host->bandwidth_rate == "blocked") { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" align="left">
			<font class="fatalerror">Host Disabled</font>
		</td>
	</tr>
	<? } ?>

	<? if ($host->bandwidth_rate == "limited") { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" align="left">
			<font class="fatalerror">Host Rate Limited</font>
		</td>
	</tr>
	<? } ?>
	<tr title="<? $conf['help']->title('last_seen'); ?>" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" align="left">
		<? if ( $host->last_seen ) { ?>
		This host was last seen on <? $host->show_last_seen(); ?>.
		<? } else { ?>
		This host has never been seen.
		<? } ?>
		<? $conf['help']->show_link('last_seen'); ?>
		</td>
	</tr>
	<tr title="<? $conf['help']->title('host_live'); ?>" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
		<td>Host Build Status:</td>
		<td>
		<?= $conf['ui']->show_live_time($history->date,"Host",$host->domain->id); ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
                <td title="<? $conf['help']->title('hostname'); ?>" align="left" width="150"><? $conf['help']->show_link('hostname'); ?> Hostname: </td>
                <td align="left"><? $conf['ui']->display_field($host->name); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('domain'); ?>" ><? $conf['help']->show_link('domain'); ?> Domain: </td>
                <td><? $conf['ui']->display_field($host->domain->name); ?>
	        </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('ip_address'); ?>"><? $conf['help']->show_link('ip_address'); ?> IP Address: </td>
                <td>
                        <? if ( $host->ip->ip_addr ) {
                                echo $host->ip->ip_addr;
                           }
                           else {
				$start_ip = $host->dynamic_range->start->ip_addr;
				$end_ip = $host->dynamic_range->end->ip_addr;
				echo "Dynamic IP Address ($start_ip to $end_ip)";
                           }
                        ?>
                        &nbsp; 
                </td>
        </tr>
        <tr valign="top" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('hardware_address'); ?>" ><? $conf['help']->show_link('hardware_address'); ?> Hardware Address: </td>
                <td>
		Normal: <? $conf['ui']->display_field($host->full_ha); ?><br />
		Raw: <? $conf['ui']->display_field($host->ha); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('enabled'); ?>"><? $conf['help']->show_link('enabled'); ?> Status: </td>
                <td><? $conf['ui']->display_field($conf['ui']->show_status($host->enabled)); ?></td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('bandwidth_rate'); ?>"><? $conf['help']->show_link('bandwidth_rate'); ?> Bandwidth Rate: </td>
		<td><? $conf['ui']->display_field($host->bandwidth_rate); ?></td>
	</tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('workgroup'); ?>"><? $conf['help']->show_link('workgroup'); ?> Workgroup: </td>
                <td><? $conf['ui']->display_field($host->workgroup->name); ?></td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <? if ($host->ttl < 300) { $host->ttl = $conf['default_host_ttl']; } ?>
		<td title="<? $conf['help']->title('host_ttl'); ?>"><? $conf['help']->show_link('host_ttl'); ?> Host TTL:</td>
		<td><? $conf['ui']->display_field($host->ttl); ?></td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
		<td title="<? $conf['help']->title('host_parent_zone'); ?>"><? $conf['help']->show_link('host_parent_zone'); ?> Parent Zone: </td>
		<td><? $conf['ui']->display_field($host->zone->name); ?>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_expire'); ?>"><? $conf['help']->show_link('host_expire'); ?> Expire Date:</td>
		<td>
		<? $conf['ui']->display_field($host->show_expire_date()); ?>
		</td>
	</tr>
	</table>
	<? show_template('bborder'); ?>
	<? 
	/******************************************************************/
	/* Stuff after here is not required, and is only seen in advanced */ 
	/******************************************************************/
	?>
	
	<? if ($user->host_view == "advanced") { ?>
	<br /><br /><br />
	<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" <? if (!$host->enabled) { echo "class=\"disabled\" "; } ?>>
	<tr class="widget-title">
		<td colspan="2">Advanced Host Information</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('who_update'); ?>"><? $conf['help']->show_link('who_update'); ?> Last Updated By: </td>
		<td>
		<? if ($history->username) { ?>
			<? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
		<? } else { ?>
			N/A
		<? } ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('generic_comment'); ?>"><? $conf['help']->show_link('generic_comment'); ?> Comment:</td>
		<td><? $conf['ui']->display_field($history->comment); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Operating System: </td>
                <td><? $conf['ui']->display_field($host->os); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Hardware Type: </td>
                <td><? $conf['ui']->display_field($host->type); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>" ><? $conf['help']->show_link('host_info_field'); ?> Location: </td>
                <td><? $conf['ui']->display_field($host->location); ?></td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>" ><? $conf['help']->show_link('host_info_field'); ?> Serial Number: </td>
                <td><? $conf['ui']->display_field($host->serial); ?></td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Purchase Date:</td>
		<td>
		<? $conf['ui']->display_field($host->purchase_date); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> PO Number:</td>
		<td>
		<? $conf['ui']->display_field($host->po_number); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Warranty Date:</td>
		<td>
		<? $conf['ui']->display_field($host->warranty_date); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Owning Unit:</td>
		<td>
		<? $conf['ui']->display_field($host->owning_unit); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> User ID:</td>
		<td>
		<? $conf['ui']->display_field($host->user_id); ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Other ID: </td>
                <td><? $conf['ui']->display_field($host->other_id); ?></td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_history'); ?>"><? $conf['help']->show_link('host_history'); ?>Host History</td>
		<td>
		<? if ($host->has_host_history()) { ?>
			<a href="<?= $conf['web_path']; ?>/host.php?action=show_host_history&amp;host_id=<?= $host->id; ?>">[ Show Host History ]</a>
		<? } else { ?>
			No Host History
		<? } ?>
		</td>
	</tr>
	<? $child = new Child("host",$host->id,0,$host,'count');
	if ($child->has_children) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('child_objects'); ?>" ><? $conf['help']->show_link('child_objects'); ?> <?= $child->total; ?> child object(s) found</td>
		<td><a href = "<?= $conf['web_path']; ?>/host.php?action=show_children&amp;host_id=<?= $host->id; ?>">[ Show Children ]</a></td>
	</tr>
	<? } else { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('child_objects'); ?>"><? $conf['help']->show_link('child_objects'); ?> Children:</td>
		<td>No child objects found</td>
	</tr>
	<? } // else ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('workgroup'); ?>"><? $conf['help']->show_link('workgroup'); ?> Workgroup Options:</td>
		<td><a href="<?= $conf['web_path']; ?>/host.php?action=show_host_options&amp;host_id=<?= $host->id; ?>">[ Show Workgroup Options ]</a></td>
	</tr>
	<? if ($conf['modules']->modules['flo']->enabled and $flo->check_for_flo($host->ip->ip_inti,$host) and $user->has_access($host->zone->id)) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('module_flo_bandwidth'); ?>" ><? $conf['help']->show_link('module_flo_bandwidth'); ?> Bandwidth Usage:</td>
		<td>Show Bandwidth&nbsp;
		<a href="<?= $conf['web_path'] . $conf['modules']->modules['flo']->filename; ?>?host_id=<?= $host->id; ?>&amp;action=view_single_host">[ Table ]</a>
		<a href="<?= $conf['web_path'] . $conf['modules']->modules['flo']->filename; ?>?host_id=<?= $host->id; ?>&amp;action=view_single_host_graph"> [ Graph ]</a>
		</td>
	</tr>
	<? } ?>

	</table>
	<? show_template('bborder'); ?>

	<? } ?>


<? if ($action_type == "modified_children") 
	{
	$child = new Child("host",$host->id,0,$host);
	?><p align="center"><font class="header1">There are currently <?= $child->total; ?> child objects of <?= $host->hostname ?></font></p><?
	$child->show_children();
	}
?>


<? } else { ?>
<?


/*
########################################
########################################
#####   START OF EDIT HOST MOJO    #####
########################################
########################################
*/


?>
<? echo"<p>"; $conf['error']->show_message('general'); echo"</p>"; ?>

<form name="edit_host" enctype="multipart/form-data" style="Display:inline" method="post" action="<?= $conf['web_path']; ?>/host.php">
<? 
if ($user->has_access($host->zone->id)) {
	$items = array();
	$items[] = "<a href=\"". $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->id . "\">Edit</a>";
	$items[] = "<a href=\"". $conf['web_path'] . "/host.php?action=Delete&amp;host_id=" . $host->id . "\">Delete</a>";
	if ($host->get_next_host_by_name() > 0) { 
		$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->get_next_host_by_name() . "\"> Edit next by name</a>";
	} // if get host by name
	$host_ip_id = $host->get_next_host_by_ip();
	if ($host_ip_id) { 
		$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_host&amp;host_id=" . $host->get_next_host_by_ip() . "\"> Edit next by IP</a>";
	} // if host by name
} // if user has access
$items[] = "<a href=\"" . $conf['web_path'] . "/host.php?action=show_hosts\">Show " . $conf['zone']->name . " Hosts</a>";
$conf['ui']->display_top_widget($items);

?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" <? if (!$host->enabled) { echo "class=\"disabled\" "; } ?> >
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td class="header2" colspan="2">
		<? 
		if ($action_type == "read") { echo "Viewing host information for $host->hostname"; }
		else { echo "Updating $host->hostname with the following information"; }
		?>
		</td>
	</tr>
	<tr class="widget-title">
		<td colspan="2">Basic Host Information
		<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;host_id=<?= $host->id; ?>&amp;host_view=advanced">[Advanced]</a>
		<a href="<?= $conf['web_path']; ?>/host.php?action=show_host&amp;host_id=<?= $host->id; ?>&amp;host_view=basic">[Basic]</a>
		</td>
	</tr>
	<? if (!$host->enabled) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" align="left">
			<font class="fatalerror">Host Disabled</font>
		</td>
	</tr>
	<? } ?>

	<? if ($host->bandwidth_rate == "limited") { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2" align="left">
			<font class="fatalerror">Host Rate Limited</font>
		</td>
	</tr>
	<? } ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="2">
		<? if ( $host->last_seen ) { ?>
		This host was last seen on <?= $host->show_last_seen() ?>. <? $conf['help']->show_link('hostname'); ?>
		<? } // if ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Host Build Status:</td>
		<td><?= $conf['ui']->show_live_time($history->date,"Host",$host->domain->id); ?></td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
    		<td valign="top" title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?> Hostname: </td>
                <td>
		
		<? if ($host->zone->has_domain_access($host->domain->id) or $user->is_admin) { ?>
                        <input name="name" value="<?= $host->name ?>" size="35" />
			<? $conf['error']->show_message('name'); ?>
		<? } else { ?>
			<?= $host->name; ?>
			<input type="hidden" name="name" value="<?= $host->name; ?>" />
		<? } ?>
                </td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('domain'); ?>"><? $conf['help']->show_link('domain'); ?> Domain: </td>
                <td><? if ($user->is_admin) { ?><input type="radio" onclick="enableField('domain_id');disableField('admin_domain_id');" name="domain_select" value="user" CHECKED /><? } ?>
			<? 
				// check to see if the zone has access to this domain
				//    this is a very special case for things like science.oregonstate.edu
				//    that have to have an A record associated with them.
				if ( $host->zone->has_domain_access($host->domain->id)) {
					$conf['ui']->show_domain_select($domains, $host->domain->id);
				}
				else {
					$domains[] = new Domain($host->domain->id);
					$conf['ui']->show_domain_select($domains,$host->domain->id);
					echo "<font class=\"error\">Current Domain not in " . $host->zone->name . "</font>";
				}
			if ($conf['error']->get_status('domain')) { $conf['error']->show_message('domain'); }
			?>
                </td>
        </tr>
	<? if ($user->is_admin) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('domain'); ?>"><? $conf['help']->show_link('domain'); ?> Admin Domains: </td>
		<td><input type="radio" onclick="enableField('admin_domain_id');disableField('domain_id');" name="domain_select" value="admin" />
		<?
		//if they are a admin allow them to movie it anywhere!
                $admin_domains = $conf['ui']->get_domains("SELECT * FROM domain ORDER BY name ASC");
                $conf['ui']->show_domain_select($admin_domains, $host->domain->id,"admin_domain_id",'disabled');
		?>
		</td>
	</tr>
	<? } ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('ip_address'); ?>"><? $conf['help']->show_link('ip_address'); ?> IP Address: </td>
                <td>
			<? if ( $host->ip->ip_addr ) {
				echo $host->ip->ip_addr; 
			   }
			   else {
				$start_ip = $host->dynamic_range->start->ip_addr;
				$end_ip = $host->dynamic_range->end->ip_addr;
				echo "Dynamic IP Address ($start_ip to $end_ip)";
				echo "<input type=\"hidden\" name=\"range_id\" value=\"" . $host->dynamic_range->id . "\" />";
			   }
			?>
			&nbsp; <a href="<?= $conf['web_path']; ?>/ip.php?action=edit&amp;host_id=<?= $host->id ?>">Change/Edit</a>
		</td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td valign="top" title="<? $conf['help']->title('hardware_address'); ?>"><? $conf['help']->show_link('hardware_address'); ?>Hardware Address: </td>
                <td>
                        <input name="ha" value="<?= $host->ha ?>" size="18" maxlength="18" />
			Current: <? $conf['ui']->display_field($host->full_ha); ?>
			<? $conf['error']->show_message('ha'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('workgroup'); ?>"><? $conf['help']->show_link('workgroup'); ?> Workgroup: </td>
                <td>
		<? $host->show_workgroup_select(); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('enabled'); ?>"><? $conf['help']->show_link('enabled'); ?> Status: </td>
                <td>
		<? $conf['ui']->show_enabled_select($host->enabled); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('bandwidth_rate'); ?>"><? $conf['help']->show_link('bandwidth_rate'); ?> Bandwidth Rate: </td>
		<td>
		<? $conf['ui']->show_bandwidth_rate_select($host->bandwidth_rate); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->title('host_parent_zone'); ?>"><? $conf['help']->show_link('host_parent_zone'); ?> Parent Zone: </td>
		<td><? $conf['ui']->display_field($host->zone->name); ?>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_expire'); ?>"><? $conf['help']->show_link('host_expire'); ?> Expire Date:</td>
                <td>
                <? $conf['ui']->display_field($host->show_expire_date()); ?>
                </td>
        </tr>
</table>


<? show_template('bborder'); ?>
<? if ($user->host_view == "advanced") { ?>
<br /><br /><br />

<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title">
		<td colspan="2">Advanced Host Information</td>
	</tr>
	<? if ($user->is_zone_admin || $user->is_admin) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('who_update'); ?>"><? $conf['help']->show_link('who_update'); ?> Last Updater: </td>
		<td>
                <? if ($history->username) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
		</td>
	</tr>
	<? } ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_expire'); ?>"><? $conf['help']->show_link('host_expire'); ?>
		Update Expire Date:
		<input type="checkbox" onclick="flipField('expire');" name="update_expire" value="true" /> 
		</td>
		<td>
		<? if ($host->expire) { $date = date("m/d/Y",$host->expire); } ?>
		<input disabled type="textbox" id="expire" name="expire" value="<?= $date; ?>" /> Format (MM/DD/YYYY)
		<?= $conf['error']->show_error('expire'); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_ttl'); ?>"><? $conf['help']->show_link('host_ttl'); ?> Host TTL:</td>
		<td>
			<? if ($host->ttl < 300) { $host->ttl = $conf['default_host_ttl']; } ?> 
			<input name="ttl" value="<?= $host->ttl; ?>" size ="35" maxlength="35" />
			<? $conf['error']->show_message('ttl'); ?>			
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Operating System: </td>
                <td>
			<input type="radio" onclick="enableField('os');disableField('generated_os');" name="use_gen_os" value="0" />&nbsp;&nbsp;
                        <input disabled id="os" name="os" value="<?= $host->os ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?>Existing OS Value:</td>
		<td>
			<input type="radio" onclick="enableField('generated_os');disableField('os');" name="use_gen_os" value="1" CHECKED />&nbsp;&nbsp;
			<? 
			$host_oss = $host->zone->get_host_os();
			$conf['ui']->show_select('generated_os',$host_oss,$host->os);
			?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Hardware Type: </td>
                <td>
			<input type = "radio" onclick="enableField('type');disableField('generated_type');" name="use_gen_type" value="0" />&nbsp;&nbsp;
                        <input disabled id="type" name="type" value="<?= $host->type ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Hardware Type: </td>
                <td>
			<input type = "radio" onclick="enableField('generated_type');disableField('type');" name="use_gen_type" value="1" CHECKED />&nbsp;&nbsp;
			<?
			$host_types = $host->zone->get_host_hardware_type();
			$conf['ui']->show_select('generated_type', $host_types,$host->type);
			?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Location: </td>
                <td>
                        <input name="location" value="<?= $host->location ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Serial Number: </td>
                <td>
                        <input name="serial" value="<?= $host->serial ?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Purchase Date:</td>
		<td>
                <input name="purchase_date" value="<?= $host->purchase_date; ?>" size="35" maxlength="35" />
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> PO Number:</td>
		<td>
                <input name="po_number" value="<?= $host->po_number; ?>" size="35" maxlength="35" />
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Warranty Date:</td>
		<td>
                <input name="warranty_date" value="<?= $host->warranty_date; ?>" size="35" maxlength="35" />
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Owning Unit:</td>
		<td>
                <input name="owning_unit" value="<?= $host->owning_unit; ?>" size="35" maxlength="35" />
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> Other ID: </td>
                <td>
                        <input name="other_id" value="<?= $host->other_id?>" size="35" maxlength="35" />
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('host_info_field'); ?>"><? $conf['help']->show_link('host_info_field'); ?> User ID:</td>
		<td>
                <input name="user_id" value="<?= $host->user_id; ?>" size="35" maxlength="35" />
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('generic_comment'); ?>" valign="top"><? $conf['help']->show_link('generic_comment'); ?>
                        Comment:
                        <a href="<?= $conf['web_path']; ?>/help.php?action=show_comments&amp;object_id=<?= $host->id; ?>&amp;object_name=<?= $host->hostname; ?>&amp;object_type=host">
                        [View All Comments]    
                        </a>
                </td>
                <td>
                <textarea name="comment" cols="45" rows="5"><?= $host->comment; ?></textarea>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('host_history'); ?>"><? $conf['help']->show_link('host_history'); ?>Host History</td>
                <td>
	        <? if ($host->has_host_history()) { ?>
        	        <a href="<?= $conf['web_path']; ?>/host.php?action=show_host_history&amp;host_id=<?= $host->id; ?>">[ Show Host History ]</a>
		<? } else { ?>
		No Host History
		<? } ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<? 
	//Checking to see if it's got kids	
	$child = new Child("host",$host->id,0,$host,'count');

	if ($child->has_children) { 

	?>
		<td title="<? $conf['help']->title('child_objects'); ?>"><? $conf['help']->show_link('child_objects'); ?> <?= $child->total; ?> child object(s) found</td>
		<td><a href = "<?= $conf['web_path']; ?>/host.php?action=show_children&amp;host_id=<?= $host->id; ?>">[ Show Children ]</a></td>
	</tr>
	<? } else { ?>
		<td title="<? $conf['help']->title('child_objects'); ?>"><? $conf['help']->show_link('child_objects'); ?> Children:</td>
		<td>No child objects found</td>
	<? } // else ?>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('workgroup'); ?>"><? $conf['help']->show_link('workgroup'); ?> Workgroup Options:</td>
		<td><a href="<?= $conf['web_path']; ?>/host.php?action=show_host_options&amp;host_id=<?= $host->id; ?>">[ Show Workgroup Options ]</a></td>
	</tr>
	<? if ($host->ip->ip_addr) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
		<td title="<? $conf['help']->title('host_create_mx_record'); ?>"><? $conf['help']->show_link('host_create_mx_record'); ?> Create MX Record:</td> 
		<td><a href="<?= $conf['web_path'] ?>/create_mx.php?name=<?= $host->name ?>">[ Create an MX record for <?= $host->hostname ?> ]</a>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
		<td title="<? $conf['help']->title('host_create_cname'); ?>"><? $conf['help']->show_link('host_create_cname'); ?> Create CNAME:</td>
		<td>
		<a href="<?= $conf['web_path'] ?>/create_cname.php?server=<?= $host->hostname ?>">[ Create a CNAME to <?= $host->hostname ?> ]</a>
		</td>
	</tr>
	<? } ?>
	<? if ($conf['modules']->modules['flo']->enabled and $flo->check_for_flo($host->ip->ip_int,$host)) { ?>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('module_flo_bandwidth'); ?>"><? $conf['help']->show_link('module_flo_bandwidth'); ?> Bandwidth Usage:</td>
		<td>Show Bandwidth
		<a href="<?= $conf['web_path'] . $conf['modules']->modules['flo']->filename; ?>?host_id=<?= $host->id; ?>&amp;action=view_single_host">[ Table ]</a>&nbsp;
		<a href="<?= $conf['web_path'] . $conf['modules']->modules['flo']->filename; ?>?host_id=<?= $host->id; ?>&amp;action=view_single_host_graph">[ Graph ]</a>
		</td>
	</tr>
	<? } ?>
</table>
<? show_template('bborder'); ?>

<? } //end if host_view == advanced ?>

<? /* UPDATE FORM FOR EDITING A HOST ADV AND BASIC */ ?>

<br /><br />
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td align="center">
			<? if ( $user->has_access($host->zone->id) ) { ?>
			<? if (!$host_view) { $host_view = $user->host_view; } ?>
			<input type="submit" name="action" value="Update" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Delete" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Cancel" />
			<input type="hidden" name="host_id" value="<?= $host->id; ?>" />
			<input type="hidden" name="update_type" value="<?= $host_view; ?>" />
			<input type="hidden" name="last_update" value="<?= $history->date; ?>" />
			<? } else { ?>
			<input type="submit" name="action" value="Return" />
			<input type="hidden" name="host_id" value="<?= $host->id ?>" />
			<? } ?>
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
</form>
<br /><br />
<form method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/host.php" name="zone_move">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title">
		<td colspan="2">Move Host to another Zone</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Target Zone:</td>
		<td>
		<?
			$zones = $user->get_zones_select();
			$conf['ui']->show_zone_select($zones,$zones[0],"zone_id");
		?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<input type="hidden" name="action" value="confirm_move_host_zone" />
		<input type="hidden" name="host_id" value="<?= $host->id; ?>" />
		<input type="submit" value="Move Host" />&nbsp;&nbsp;&nbsp;
		<input type="submit" name="action" value="Cancel" />
		
</table>
<? show_template('bborder'); ?>
</form>


<? } ?>
