<?php

/*

 $Id: show_create_pointer.inc,v 1.4 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_create_pointer.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Create Pointer Template
	This file shows the nessacary form for creating
	a new pointer (forward or reverse)
*/
?>

<p class="header2">Creating a new pointer in <?= $conf['zone']->name; ?></p>

<? $conf['help']->display_help('pointer_general'); ?>

<form name="edit_pointer" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/pointer.php">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('ip'); ?>"><? $conf['help']->show_link('ip'); ?> IP Address: </td>
                <td>
                        <input name="ip_addr" value="<?= $ip_addr; ?>" size="35" />
                        <? $conf['error']->show_message('ip_addr'); ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor();  ?>">
                <td title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?> Hostname: </td>
                <td>
			<input name="hostname" value="<?= $hostname; ?>" size="35" />
                        <? $conf['error']->show_message('hostname'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?> Time to live:</td>
		<td>
			<? if (!$ttl) { $ttl = $conf['default_pointer_ttl']; } ?>
			<input name="ttl" value="<?= $ttl; ?>" size="20" />
			<? $conf['error']->show_message('ttl'); ?>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('pointer_type'); ?>"><? $conf['help']->show_link('pointer_type'); ?>Pointer Type:</td>
		<td>
			<select name="type">
				<option value="forward">Forward</option>
				<option value="reverse">Reverse</option>
			</select>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
                <td>
		<input value="Create new pointer" type="submit" />&nbsp;&nbsp;
		<input type="hidden" name="action" value="create_pointer" />
                <input type="submit" name="action" value="Cancel" />
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>
</form>

