<?php

/*

 $Id: show_merge_range.inc,v 1.4 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_merge_range.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Range Merge Template
	Show the form for smashing to ranges into one giant blob

*/

?>

<p class="header2">Merge Ranges</p>

<p>This tool allows you to merge two ranges of IP's into one range.</p>

<? if ( $conf['error']->get_status('range_top') ) { ?>
<p><? $conf['error']->show_message('range_top'); ?></p>
<? } ?>

<form name="merge_range" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/range.php">

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<? echo $conf['light_bgcolor']?>">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->title("range"); ?>"><? $conf['help']->show_link("range"); ?> Source Range: </td>
                <td>
		<?= $range->start->ip_addr . "&nbsp;--&nbsp;" . $range->end->ip_addr; ?>
		</td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("range"); ?>"><? $conf['help']->show_link("range"); ?> Merge Range: </td>
                <td>
		<? $merge_range = $range->show_merge_range_select($range->start->ip_int,$range->end->ip_int,$range->type); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<input type="hidden" name="action" value="merge_ranges" />
		<? if ($merge_range) { ?>
		<input type="submit" value="Merge Ranges" />
		<? } else { ?>
		<input type="submit" value="Return" />
		<? } ?>
		<input type="hidden" name="range_id" value="<?= $range->id ?>" />
		</td>
	</tr>
</table>

<? show_template('bborder'); ?>
</form>
